/****************************************************************************
*
*	  Header Filename:  Form_Help.h
*	  Module Name:      Help Form
*	  Description:      SimSoup Help
*	  Author:           Chris Gordon-Smith
*
*     Copyright (C) 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*      Amendment History:- 
*
*              Version	  Date                        Update Description
*              =======    ===========                 ==================
*
*
*
*
****************************************************************************/

#ifndef FORM_HELP_H
#define FORM_HELP_H

class   Form_Help

{
//===== Relationships with other classes ===================================================================

//==========================================================================================================

    public:
        static void Make(); 
        static Form_Help* Get_Ptr();
        void Show_Help_Text();

    private:
        static Form_Help*  Instance_Ptr;  // Pointer to the singleton Form object
        Form_Help(); 
};
#endif  //FORM_HELP_H
