/*
*	  Header Filename:  Form_Main.h  
*	  Module Name:      Form_Main
*	  Description:      Main Form for SimSoup
*	  Author:   		Chris Gordon-Smith
*
*     Copyright (C) 2003, 2004, 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*/
//---------------------------------------------------------------------------
#ifndef MainH
#define MainH

//---------------------------------------------------------------------------

class MainForm 
{

//===== Relationships with other classes ===================================================================
private: 

//==========================================================================================================
public:           
    static void    File_Exit();
    static void    File_Close_Scenario();
    static bool    File_Load_Scenario();
    static void    Make();
    static bool    Simulation_Go_Click();
    static void    Simulation_Stop_Click();

private:
    static bool   Random_Sequences_Initialised;
    static bool   RandSeq_Portability_Checked;
};
#endif

