/****************************************************************************
*
*     Header Filename:  Form_System_Monitor.h
*     Module Name:      Form_System_Monitor
*     Description:      System Monitor User Interface Manager
*     Author:           Chris Gordon-Smith
*
*     Copyright (C) 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*     Amendment History:- 
*
*       Version    Date                        Update Description
*       =======    ===========                 ==================
*
*
*
*
****************************************************************************/

#ifndef Form_System_Monitor_H
#define Form_System_Monitor_H

class Form_System_Monitor

{
//===== Relationships with other classes =====================================================================================
     
//==========================================================================================================================
    public:
        void        Display_Object_Statistics();
        static      Form_System_Monitor* Get_Ptr();
        bool        Is_On_Active_Page();
        static void Make();
    private:
        static Form_System_Monitor* Instance_Ptr;
        
};

#endif  //Form_System_Monitor_H

